XnLogWriterBase Class Referenceabstract

`#include <XnLogWriterBase.h>`

## Public Member Functions

| XnLogWriterBase ()
virtual | ~XnLogWriterBase ()
XnStatus | Register ()
void | Unregister ()
XnBool | IsRegistered ()
virtual void | WriteEntry (const XnLogEntry *pEntry)=0
virtual void | WriteUnformatted (const XnChar *strMessage)=0
virtual void | OnConfigurationChanged ()
virtual void | OnClosing ()
| operator const XnLogWriter * () const

## Protected Member Functions

virtual void | OnRegister ()
virtual void | OnUnregister ()

## Constructor & Destructor Documentation

## XnLogWriterBase()

XnLogWriterBase::XnLogWriterBase | ( |  | ) |

inline

## ~XnLogWriterBase()

virtual XnLogWriterBase::~XnLogWriterBase | ( |  | ) |

inline virtual

## Member Function Documentation

## IsRegistered()

XnBool XnLogWriterBase::IsRegistered | ( |  | ) |

inline

## OnClosing()

virtual void XnLogWriterBase::OnClosing | ( |  | ) |

inline virtual

## OnConfigurationChanged()

virtual void XnLogWriterBase::OnConfigurationChanged | ( |  | ) |

inline virtual

## OnRegister()

virtual void XnLogWriterBase::OnRegister | ( |  | ) |

inline protected virtual

## OnUnregister()

virtual void XnLogWriterBase::OnUnregister | ( |  | ) |

inline protected virtual

## operator const XnLogWriter *()

XnLogWriterBase::operator const XnLogWriter * | ( |  | ) | const

inline

## Register()

XnStatus XnLogWriterBase::Register | ( |  | ) |

inline

## Unregister()

void XnLogWriterBase::Unregister | ( |  | ) |

inline

## WriteEntry()

virtual void XnLogWriterBase::WriteEntry | ( | const XnLogEntry * | pEntry | ) |

pure virtual

## WriteUnformatted()

virtual void XnLogWriterBase::WriteUnformatted | ( | const XnChar * | strMessage | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnLogWriterBase.h